# vim: set sw=4 ts=4 et:
# Copyright (c) 2007-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de


Name:           mktorrent
Summary:        Command line utility to create BitTorrent metainfo files
Group:          Productivity/Networking/Other
License:        GNU General Public License version 2 or later (GPLv2 or later)
Version:        1.0
Release:        1.5
URL:            http://mktorrent.sourceforge.net/
Source:         http://prdownloads.sourceforge.net/mktorrent/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  openssl-devel

%description
mktorrent is a simple and fast command line utility to create
BitTorrent metainfo files.

%prep
%setup -q -n %{name}-%{version}

%build
%__make %{?_smp_flags} \
    PREFIX=%{_prefix} \
    CFLAGS="$RPM_OPT_FLAGS" \
    USE_PTHREADS=1 \
    USE_LONG_OPTIONS=1 \
%ifnarch x86_64
    USE_LARGE_FILES=1 \
%endif
    USE_OPENSSL=1

%install
%makeinstall \
    PREFIX=%{_prefix} \
    CFLAGS="$RPM_OPT_FLAGS" \
    USE_PTHREADS=1 \
    USE_LONG_OPTIONS=1 \
%ifnarch x86_64
    USE_LARGE_FILES=1 \
%endif
    USE_OPENSSL=1

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc COPYING README
%{_bindir}/mktorrent

%changelog
* Wed Oct 28 2009 toni@links2linux.de
- update to 1.0
* Thu Jun  4 2009 toni@links2linux.de
- added new options to make call
* Sun May 31 2009 toni@links2linux.de
- update to 0.7
- Added proper support for large files on certain 32bit OS's
  Finally mktorrent can accept files larger than 2Gb on 32bit Linux
* Wed May 13 2009 toni@links2linux.de
- update to 0.6
  - Added support for multible we seeds.
  - Raised allowable piece size.
  - Only add the announce-list entry if there are more than one tracker.
    (thanks to Vladimir Vučićević for reporting)
  - Include public domain SHA1 implementation so OpenSSL dependency
    is optional.
  - Lots of portability improvements.
    Now compiles on Linux, MinGW, OpenBSD, OSX, SunOS
    and probably many more.
    (a big thanks to Edwin Amsler for reporting and testing)
  - Rewrote multi threaded hashing to optimise CPU usage on
    multi processor machines.
* Sun Mar  1 2009 toni@links2linux.de
- update to 0.5
  Added support for multiple trackers
  Added support for web seed (thanks to Justin Camerer)
  Better error messages
* Mon Nov 19 2007 toni@links2linux.de
- update to 0.4
* Wed Nov 14 2007 toni@links2linux.de
- update to 0.3
* Sat Mar  3 2007 toni@links2linux.de
- initial release 0.2
